<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>MyHomeWork6</title>
</head>
<body>
    <script>

    function CreateNewUser() {

        this.firstName = prompt ("Enter your name");
        while (!this.firstName) {
            this.firstName = prompt ("Re-enter your name");
        }
        this.lastName = prompt ("Enter your lastname");
                while (!this.lastName) {
            this.lastName = prompt ("Re-enter your lastName");

        this.getLogin = () => (this.firstName.charAt(0) + this.lastName).toLowerCase();

    }

        let newUser = new CreateNewUser();
        console.log(newUser.getLogin());
    </script>
</body>
</html>
